package cokr.xit.fims.mngt;

public class OgdpUtil {

	public static String getLastWord(String ogdp) {
		String splitString[] = ogdp.split(" ", -1);
		return splitString[splitString.length-1];
	}

	public static String getInstituteLeader(String instNm, boolean lastChar) {
		String result = "";


		if(instNm.endsWith("시청") || instNm.endsWith("군청")) {
			result = instNm.substring(0, instNm.length()-1);
		} else if(instNm.endsWith("구")) {
			result = instNm+"청";
		} else {
			result = instNm;
		}

		if(result.endsWith("군")){
			result += "수";
		} else {
			result += "장";
		}

		if(!lastChar) {
			result = result.substring(0, result.length()-1);
		}

		return result;
	}

}
